:root {
  --gray-100: #d1d1d1;
  --gray-200: #acacac;
  --gray-400: #5c5c5c;
  --gray-500: #454545;
  --gray-600: #222222;
  --gray-700: #131313;
  --turq: #48ECE9;

  --bg: var(--gray-700);
  --text: var(--gray-200);
  --text-hc: var(--gray-100);

  --font-size-040: 0.75rem;
  --font-size-050: 0.875rem;
  --font-size-200: 1.5rem;
  --font-size-300: 1.75rem;
  --font-size-400: 2rem;

  --border-width: 1px;
  --border: var(--border-width) solid var(--gray-400);
  --gap: 1rem;
}

@font-face {
  font-family: "Funnel Sans";
  src: url("/assets/fonts/funnel-sans-variable.woff2") format("woff2");
  font-display: swap;
}

html {
  background-color: var(--bg);
  color: var(--text);
  line-height: 1.25;

  font-family: "Funnel Sans", sans-serif;
  font-optical-sizing: auto;
  font-style: normal;
  letter-spacing: -0.02em;
}

body {
  background-color: var(--bg);
  background: url('/assets/img/grid.svg');
  background-position: center top;
  background-size: 1rem;
}

h1, h2, h3, h4, h5, h6 {
  color: var(--text-hc);
  font-weight: 500;
  line-height: 1.1;
}

h1 {
  font-size: var(--font-size-400);
}

hr {
  border-top: var(--border);
  border-bottom: 0;
}

a {
  color: unset;
  &:hover {
    color: white;
  }
}

.container {
  padding-left: 1rem;
  padding-right: 1rem;
  max-width: 82rem;
  margin: 0 auto;
}

.grid {
  display: flex;
  flex-direction: column;
  gap: 1rem var(--gap);
}

.section {
  padding: 2rem 0;
  position: relative;

  & h3 {
    font-size: var(--font-size-300);
    margin-bottom: 0.75rem;
  }
}

.hero {
  padding: 2em 0;
  position: relative;
  overflow: hidden;

  .hero__inner {
    display: flex;
    gap: 2rem;
    flex-direction: column;
    align-items: center;
    justify-content: space-between;
  }
  .hero__text {
    max-width: 30rem;
    position: relative;
    z-index: 1;
  }
}

.section::after,
.hero::after {
  content: "";
  display: block;
  position: absolute;
  bottom: 0;
  left: 0;
  right: 0;
  border-bottom: var(--border);
}

.big-list {
  padding: 0;
  list-style: none;
  font-size: var(--font-size-400);
  color: var(--text-hc);
}

.logo-list {
  padding: 0;
  list-style: none;
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  gap: var(--gap);
  & li {
    background-color: var(--gray-600);
    border: var(--border-width) solid var(--gray-500);
    border-radius: var(--font-size-040);
    height: 8rem;
    display: flex;
    align-items: center;
    justify-content: center;
    text-align: center;
  }
  & img {
    display: block;
    max-height: 60%;
    max-width: 70%;
  }
}

.vizio-animation {
  --vizio-anim-size: 240px;
  --border-width: 2px;
  --border-len: 16px;

  width: var(--vizio-anim-size);
  height: var(--vizio-anim-size);
  position: relative;
  animation: rotate 33s linear infinite;

  & .va {
    position: absolute;

    background:
      linear-gradient(90deg, var(--turq) 50%, transparent 50%),
      linear-gradient(90deg, var(--turq) 50%, transparent 50%),
      linear-gradient(0deg, var(--turq) 50%, transparent 50%),
      linear-gradient(0deg, var(--turq) 50%, transparent 50%);
    background-repeat: repeat-x, repeat-x, repeat-y, repeat-y;
    background-size:
      var(--border-len) var(--border-width),
      var(--border-len) var(--border-width),
      var(--border-width) var(--border-len),
      var(--border-width) var(--border-len);
    background-position: 0 0, 0 100%, 0 100%, 100% 0;
    animation: border-dance 9s infinite linear;
    background-color: #00000033;
  }

  & .va1 {
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    box-shadow: 0 0 60px #48ECE966;
    background-color: #0a4544;
  }
  & .va2 {
    top: 10%;
    left: 10%;
    width: 80%;
    height: 80%;
  }
  & .va3 {
    top: 20%;
    left: 20%;
    width: 60%;
    height: 60%;
  }
  & .va4 {
    top: 30%;
    left: 30%;
    width: 40%;
    height: 40%;
  }
  & .va5 {
    top: 40%;
    left: 40%;
    width: 20%;
    height: 20%;
  }

}

.overline {
  font-size: var(--font-size-050);
  line-height: 1rem;
  text-transform: uppercase;
  letter-spacing: 0.02em;
  margin-bottom: 1rem;
}

.content {
  max-width: 40rem;
  padding-top: 4rem;
  padding-bottom: 4rem;
  display: flex;
  flex-direction: column;
  gap: 0.5rem;
  & h1 {
    margin-bottom: 2rem;
  }
  & h2 {
    margin-top: 2rem;
  }
}

.spotlight-wrap {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  pointer-events: none;
  overflow: hidden;
}

.spotlight {
  --spotlight-size: 40vw;

  position: absolute;
  transform: translate3d(-50%, -50%, 0);
  width: var(--spotlight-size);
  height: auto;
  opacity: 0.15;
}

/* Header and footer */
.site-header {
  position: sticky;
  top: 0;
  z-index: 10;
  backdrop-filter: blur(30px);
  line-height: 1.1;

  & .site-header__inner {
    min-height: 4rem;
    padding: 0.25rem 0;
    display: flex;
    gap: 0.5rem;
    align-items: center;
  }
  & .site-header__brand,
  & .site-header__tagline {
    text-transform: uppercase;
  }
  & .site-header__brand {
    font-weight: 850;
    font-size: var(--font-size-300);
    color: var(--text-hc);
    text-decoration: none;
  }
  & .site-header__tagline {
    color: #666;
    font-weight: 550;
    margin-right: auto;
    font-size: 12px;
  }
  & .site-header__hiring {
    width: 120px;
    filter: saturate(0);
  }
  & .site-header__hiring:hover {
    text-decoration: underline;
    filter: saturate(1);
  }
  & .site-header__hiring img {
    display: block;
    width: 100%;
  }
  & hr {
    position: absolute;
    left: 0;
    right: 0;
    bottom: 0;
  }
}

.site-footer {
  padding: 2rem 0;
  position: relative;
  margin-top: calc(var(--border-width) * -1);
  & .site-footer__inner {
    display: flex;
    flex-direction: column;
    gap: 1rem;
    justify-content: space-between;
  }
  & hr {
    position: absolute;
    left: 0;
    right: 0;
    top: 0;
  }
}

@media screen and (min-width: 48rem) {
  :root {
    --gap: 2rem;

    --font-size-300: 2.5rem;
    --font-size-400: 3.25rem;
  }
  .container {
    padding-left: 4rem;
    padding-right: 4rem;
  }
  .grid {
    display: grid;
    grid-template-columns: repeat(3, 1fr); 
    &.-c2 {
      grid-template-columns: repeat(2, 1fr); 
    }  
  }
  .logo-list {
    grid-template-columns: repeat(4, 1fr);
  }
  .hero {
    padding: 8rem 0;
  }
  .hero .hero__inner {
    flex-direction: row;
  }
  .site-header .site-header__tagline {
    font-size: var(--font-size-300);
  }
  .site-footer .site-footer__inner {
    flex-direction: row;
  }
  .section {
    padding: 3rem 0;
  }
  .big-list {
    line-height: 5rem;
  }
}

@keyframes rotate {
  from { transform: rotate(0) }
  to { transform: rotate(360deg) }
}

@keyframes border-dance {
  0% {
    background-position: 0 0, 0 100%, 0 100%, 100% 0;
  }
  100% {
    background-position: 100% 0, -100% 100%, 0 0, 100% 100%;
  }
}